
%define lib_major       1
%define lib_name        %mklibname cairo %{lib_major}

# soname breaks, don't run libtoolize
%define __libtoolize    /bin/true


Summary:	Cairo - multi-platform 2D graphics library.
Name:		cairo
Version:	0.1.17
Release:	2mdk
License:	BSD
Group:		System/Libraries
Source0:	http://cairographics.org/snapshots/%name-%version.tar.bz2
URL:		http://cairographics.org/
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	libpixman-devel
BuildRequires:	XFree86-devel
BuildRoot:	%_tmppath/%name-%version-root

%description
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{lib_name}
Summary:	Cairo - multi-platform 2D graphics library.
Group:		System/Libraries
Provides:	cairo = %{version}-%{release}

%description -n %{lib_name}
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{lib_name}-devel
Summary:	Development files for Cairo library.
Group:		Development/C
Requires:	%{lib_name} = %version-%release
Provides:	%{name}-devel

%description -n %{lib_name}-devel
Development files for Cairo library.

%package -n %{lib_name}-static-devel
Summary:	Static Cairo library.
Group:		Development/C
Requires:	%{lib_name}-devel = %version-%release

%description -n %{lib_name}-static-devel
Static Cairo library.


%prep
%setup -q

%build
#aclocal
#autoheader
#autoconf
#automake
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n %{lib_name} -p /sbin/ldconfig
%postun	-n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README TODO
%_libdir/lib*.so.*

%files -n %{lib_name}-devel
%defattr(644,root,root,755)
%_libdir/lib*.so
%_libdir/lib*.la
%_includedir/*
%_libdir/pkgconfig/*.pc

%files -n %{lib_name}-static-devel
%defattr(644,root,root,755)
%_libdir/lib*.a

%changelog
* Fri Feb 06 2004 Marcel Pol <mpol@mandrake.org> 0.1.17-2mdk
- build with X11

* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.1.17-1mdk
- 0.1.17
- provides cairo
- drop patch, use --disable-xlib
- buildrequires
- don't run libtoolize

* Sun Dec 14 2003 Marcel Pol <mpol@mandrake.org> 0.1.13-1mdk
- initial mandrake package

